> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Crypto Purchase

> CryptoPurchase returns the payment details required for crypto payment



## OpenAPI

````yaml POST /v1/market/crypto/purchase
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/market/crypto/purchase:
    post:
      tags:
        - market
      summary: CryptoPurchase returns the payment details required for crypto payment
      description: CryptoPurchase returns the payment details required for crypto payment
      operationId: market-crypto-purchase
      requestBody:
        description: crypto purchase request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.CryptoPurchaseRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.MarketCryptoPurchaseResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
components:
  schemas:
    api.CryptoPurchaseRequest:
      type: object
      properties:
        currency:
          type: string
          example: ETH
        domain:
          type: string
          example: firstname.lastname
        ownerAddress:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        ownerEmail:
          type: string
          example: nora@gmail.com
        ownerName:
          type: string
          example: Nora
        partnerId:
          type: string
          example: 248b8553-effa-4d99-a906-041a54f7df87
        walletAddrs:
          type: array
          items:
            $ref: '#/components/schemas/api.AddressRecord'
        years:
          type: integer
          example: 1
    api.MarketCryptoPurchaseResponse:
      type: object
      properties:
        address:
          type: string
          example: '0xA5D70E12348Fef6A123EBD1231b123c51235E321'
        amount:
          type: number
          description: PaymentDetails     CryptoPaymentDetails `json:"paymentDetails"`
          example: 0.001
        expiryDateEpoch:
          type: integer
          example: 1697009575596
        orderId:
          type: string
          example: 92456d2b-c315-4b2b-b234-c674490b7324
        paymentId:
          type: string
          example: fa13ba20-da1d-426f-a0e4-f7629caae626
        protocol:
          type: string
          example: ETH
        uri:
          type: string
          example: >-
            ethereum:0x4c0f4c2ad289be425e034e9475fa243b5f6ccab4?value=1.349965E+16
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.AddressRecord:
      type: object
      properties:
        addr:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        coinId:
          type: integer
          example: 60

````